# PSF-LoginServer - master - net.psforever.actors.session.AvatarActor
PSF - LoginServer - master - net.psforever.actors.session.AvatarActor
Keywords: PSF LoginServer master net.psforever.actors.session.AvatarActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package session
  Definition Classes
    actors
- AvatarActor
- ChatActor
- SessionActor

c

net.psforever.actors.session

# AvatarActor 

###
Companion object AvatarActor

#### class AvatarActor extends AnyRef

Source
  AvatarActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AvatarActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new AvatarActor(context: ActorContext[Command], buffer: StashBuffer[Command], sessionActor: ActorRef[Command])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var _avatar: Option[Avatar]
5.  var account: Option[Account]
6.  def active(account: Account): Behavior[Command]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def avatar: Avatar
9.  def avatar_=(avatar: Avatar): Unit
10.  def buildContainedEquipmentFromClob(container: Container, clob: String): Unit
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def consumeThisMuchStamina(stamina: Int): Boolean

    Drain at most a given amount of stamina from the player's pool of stamina.

    Drain at most a given amount of stamina from the player's pool of stamina. If the player's reserves become zero in the act, inform the player that he is fatigued meaning that he will only be able to walk, all implants will deactivate, and all exertion that require stamina use will become impossible until a threshold of stamina is regained.

    stamina

      an amount to drain

    returns

      `true`, as long as the amount of stamina can be drained in total; `false`, otherwise

13.  def deactivateImplant(implantType: ImplantType): Unit
14.  def defaultStaminaRegen(): Cancellable
15.  def deinitializeImplants(): Unit
16.  def doNotStoreLocker(): Unit
17.  implicit val ec: ExecutionContextExecutor
18.  def encodeLoadoutClobFragment(equipment: Equipment, index: Int): String
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  val implantTimers: Map[Int, Cancellable]
25.  def initializeAllLoadouts(): Future[Seq[Option[Loadout]]]
26.  def initializeImplants(): Unit
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  def loadLoadouts(): Future[Seq[Option[Loadout]]]
29.  def loadLocker(): Future[LockerContainer]
30.  def loadVehicleLoadouts(): Future[Seq[Option[Loadout]]]
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  def postStartBehaviour(): Behavior[Command]
35.  def refreshLoadout(line: Int): Unit
36.  def refreshLoadouts(loadouts: Iterable[(Option[Loadout], Int)]): Unit
37.  def refreshPurchaseTimes(keys: Set[String]): Unit
38.  def replaceAvatar(newAvatar: Avatar): Unit
39.  def resetAnImplant(implantType: ImplantType): Unit
40.  def resolvePurchaseTimeName(faction: types.PlanetSideEmpire.Value, item: BasicDefinition): (BasicDefinition, String)
41.  def resolveSharedPurchaseTimeNames(pair: (BasicDefinition, String)): Seq[(BasicDefinition, String)]
42.  var saveLockerFunc: () => Unit
43.  def sendAvatars(account: Account): Unit

    Send list of avatars to client (show character selection screen)

44.  var session: Option[Session]
45.  def setCosmetics(cosmetics: Set[Cosmetic]): Future[Unit]
46.  var staminaRegenTimer: Cancellable
47.  def start(): Behavior[Command]
48.  def storeLoadout(owner: Player, label: String, line: Int): Future[Loadout]
49.  def storeLocker(): Unit
50.  def storeNewLocker(): Unit
51.  def storeVehicleLoadout(owner: Player, label: String, line: Int, vehicle: Vehicle): Future[Loadout]
52.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
53.  def throwLoadoutFailure(ex: Throwable): Future[Loadout]
54.  def throwLoadoutFailure(msg: String): Future[Loadout]
55.  def toString(): String
    Definition Classes
      AnyRef → Any
56.  def updateDeployableUIElements(list: List[(Int, Int, Int, Int)]): Unit
57.  def updatePurchaseTimer(name: String, time: Long, unk1: Boolean): Unit
58.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
59.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
60.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped